Rygel.UpdatableObject – librygel-server Reference Manual

# UpdatableObject

## Object Hierarchy:

## Description:

public interface UpdatableObject : MediaObject

This interface should be implemented by 'updatable' objects - ones that allow modifying their own metadata in some persistent storage.

Namespace: Rygel
Package: librygel-server

## Content:

### Methods:

- public abstract async void commit () throws Error
  Commit changes in MediaObject to persistent storage.

### Inherited Members:

All known members inherited from class Rygel.MediaObject

- add_uri
- apply_replacements
- artist
- compare_int_props
- compare_string_props
- constructed
- create_stream_source_for_resource
- creator
- date
- genre

- get_primary_uri
- get_resource_by_name
- get_resource_list
- get_uris
- get_writable
- get_writables
- id
- modified
- object_update_id

- ocm_flags
- parent
- parent_ptr
- parent_ref
- ref_id
- serialize
- serialize_resource_list
- title
- upnp_class

All known members inherited from class GLib.Object

- @get
- @new
- @ref
- @set
- add_toggle_ref
- add_weak_pointer
- bind_property
- connect
- constructed
- disconnect
- dispose
- dup_data
- dup_qdata
- force_floating
- freeze_notify
- get_class
- get_data

- get_property
- get_qdata
- get_type
- getv
- interface_find_property
- interface_install_property
- interface_list_properties
- is_floating
- new_valist
- new_with_properties
- newv
- notify
- notify_property
- ref_count
- ref_sink
- remove_toggle_ref
- remove_weak_pointer

- replace_data
- replace_qdata
- set_data
- set_data_full
- set_property
- set_qdata
- set_qdata_full
- set_valist
- setv
- steal_data
- steal_qdata
- thaw_notify
- unref
- watch_closure
- weak_ref
- weak_unref